[Armbian doesn't boot from emmc #13](https://github.com/150balbes/Amlogic_s905/issues/13)


[SteeMan, Posted May 18](https://forum.armbian.com/topic/12988-armbian-for-amlogic-s905x3/page/7/?tab=comments#comment-101816)
   On 5/18/2020 at 5:50 AM, Armin said:
Moreover,  on this post (https://forum.armbian.com/topic/12988-armbian-for-amlogic-s905x3/page/7/?tab=comments#comment-101721) I have detailled my actions and after reading the the first post of the thread "Single Armbian image for RK + AML + AW", I didn't find where I'm wrong !!!

You have done a lot of things wrong and not mentioned many other important steps.  For example you are mixing and using pieces of old information that are unnecessary  at best, or problematic at worst.  For example don't use the files from NicoD, as everything you need is incorporated into the current RK + AML + AW builds.  You are also mixing builds, the build you started with is from February and it is now May.  The multiboot process evolves overtime and what got installed into your emmc by multiboot when you first tried may not be compatible with current builds.  Most importantly the key to success is the dtb file.  In your initial post you don't even mention what dtb you are trying.  The general rule is that you should try every dtb file compatible with your cpu (which in the case of the s905x3 would be all g12 and sm1 dtbs) to find the one that works best.

Here is my recommendation: start fresh.  Start simple then build from there.  By this I mean don't worry about things like the color issue at all at the beginning, as that may not even be an issue for you.  Even if you have the color issue, the system is still usable.  Then once you have a baseline knowledge of what works and what doesn't, then try to get the remaining items working for your needs.  Be prepared to go back to a clean environment (i.e. back to fresh android firmware) multiple times in this process.

I have a s905x3 based TX3X3 that I am now running happily (as a server without wifi or bt) but I have needed to restore the android firmware multiple times and started over when things just stop working for no apparent reason after I made changes to the box.  

Finally,  set your expectations low.  You should be able to get a box that boots, has ethernet, hdmi and can be used as a server.  Everything else (wifi, bt, usable desktop, etc) is something that you may get with luck and a lot of hard work.  Unfortunately that is the situation with armbian on these android tv boxes since the device manufacturers  provide no support (in terms of source code or documentation) on their products so there is very little ability to get things working with armbian in any supportable way. (especially true with aml based boxes which is why balbes150 is no longer investing time into their support).
